Package com.omnisci.thrift.server

## Class TInsertData

- java.lang.Object
- - com.omnisci.thrift.server.TInsertData

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TInsertData>`, `org.apache.thrift.TBase<TInsertData,​TInsertData._Fields>`, `org.apache.thrift.TSerializable`

    public class TInsertData
    extends Object
    implements org.apache.thrift.TBase<TInsertData,​TInsertData._Fields>, Serializable, Cloneable, Comparable<TInsertData>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TInsertData._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`List<Integer>` `column_ids`
`List<TDataBlockPtr>` `data`
`int` `db_id`
`static Map<TInsertData._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`long` `num_rows`
`int` `table_id`

### Constructor Summary

Constructors
`TInsertData()`
`TInsertData​(int db_id, int table_id, List<Integer> column_ids, List<TDataBlockPtr> data, long num_rows)`
`TInsertData​(TInsertData other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToColumn_ids​(int elem)`
`void` `addToData​(TDataBlockPtr elem)`
`void` `clear()`
`int` `compareTo​(TInsertData other)`
`TInsertData` `deepCopy()`
`boolean` `equals​(TInsertData that)`
`boolean` `equals​(Object that)`
`TInsertData._Fields` `fieldForId​(int fieldId)`
`List<Integer>` `getColumn_ids()`
`Iterator<Integer>` `getColumn_idsIterator()`
`int` `getColumn_idsSize()`
`List<TDataBlockPtr>` `getData()`
`Iterator<TDataBlockPtr>` `getDataIterator()`
`int` `getDataSize()`
`int` `getDb_id()`
`Object` `getFieldValue​(TInsertData._Fields field)`
`long` `getNum_rows()`
`int` `getTable_id()`
`int` `hashCode()`
`boolean` `isSet​(TInsertData._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetColumn_ids()` Returns true if field column_ids is set (has been assigned a value) and false otherwise
`boolean` `isSetData()` Returns true if field data is set (has been assigned a value) and false otherwise
`boolean` `isSetDb_id()` Returns true if field db_id is set (has been assigned a value) and false otherwise
`boolean` `isSetNum_rows()` Returns true if field num_rows is set (has been assigned a value) and false otherwise
`boolean` `isSetTable_id()` Returns true if field table_id is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TInsertData` `setColumn_ids​(List<Integer> column_ids)`
`void` `setColumn_idsIsSet​(boolean value)`
`TInsertData` `setData​(List<TDataBlockPtr> data)`
`void` `setDataIsSet​(boolean value)`
`TInsertData` `setDb_id​(int db_id)`
`void` `setDb_idIsSet​(boolean value)`
`void` `setFieldValue​(TInsertData._Fields field, Object value)`
`TInsertData` `setNum_rows​(long num_rows)`
`void` `setNum_rowsIsSet​(boolean value)`
`TInsertData` `setTable_id​(int table_id)`
`void` `setTable_idIsSet​(boolean value)`
`String` `toString()`
`void` `unsetColumn_ids()`
`void` `unsetData()`
`void` `unsetDb_id()`
`void` `unsetNum_rows()`
`void` `unsetTable_id()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### db_id

    public int db_id

#### table_id

    public int table_id

#### column_ids

    public List<Integer> column_ids

#### data

    public List<TDataBlockPtr> data

#### num_rows

    public long num_rows

#### metaDataMap

    public static final Map<TInsertData._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TInsertData

    public TInsertData()

#### TInsertData

    public TInsertData​(int db_id,
                       int table_id,
                       List<Integer> column_ids,
                       List<TDataBlockPtr> data,
                       long num_rows)

#### TInsertData

    public TInsertData​(TInsertData other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TInsertData deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TInsertData,​TInsertData._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TInsertData,​TInsertData._Fields>`

#### getDb_id

    public int getDb_id()

#### setDb_id

    public TInsertData setDb_id​(int db_id)

#### unsetDb_id

    public void unsetDb_id()

#### isSetDb_id

    public boolean isSetDb_id()

Returns true if field db_id is set (has been assigned a value) and false otherwise

#### setDb_idIsSet

    public void setDb_idIsSet​(boolean value)

#### getTable_id

    public int getTable_id()

#### setTable_id

    public TInsertData setTable_id​(int table_id)

#### unsetTable_id

    public void unsetTable_id()

#### isSetTable_id

    public boolean isSetTable_id()

Returns true if field table_id is set (has been assigned a value) and false otherwise

#### setTable_idIsSet

    public void setTable_idIsSet​(boolean value)

#### getColumn_idsSize

    public int getColumn_idsSize()

#### getColumn_idsIterator

    public Iterator<Integer> getColumn_idsIterator()

#### addToColumn_ids

    public void addToColumn_ids​(int elem)

#### getColumn_ids

    public List<Integer> getColumn_ids()

#### setColumn_ids

    public TInsertData setColumn_ids​(List<Integer> column_ids)

#### unsetColumn_ids

    public void unsetColumn_ids()

#### isSetColumn_ids

    public boolean isSetColumn_ids()

Returns true if field column_ids is set (has been assigned a value) and false otherwise

#### setColumn_idsIsSet

    public void setColumn_idsIsSet​(boolean value)

#### getDataSize

    public int getDataSize()

#### getDataIterator

    public Iterator<TDataBlockPtr> getDataIterator()

#### addToData

    public void addToData​(TDataBlockPtr elem)

#### getData

    public List<TDataBlockPtr> getData()

#### setData

    public TInsertData setData​(List<TDataBlockPtr> data)

#### unsetData

    public void unsetData()

#### isSetData

    public boolean isSetData()

Returns true if field data is set (has been assigned a value) and false otherwise

#### setDataIsSet

    public void setDataIsSet​(boolean value)

#### getNum_rows

    public long getNum_rows()

#### setNum_rows

    public TInsertData setNum_rows​(long num_rows)

#### unsetNum_rows

    public void unsetNum_rows()

#### isSetNum_rows

    public boolean isSetNum_rows()

Returns true if field num_rows is set (has been assigned a value) and false otherwise

#### setNum_rowsIsSet

    public void setNum_rowsIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TInsertData._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TInsertData,​TInsertData._Fields>`

#### getFieldValue

    public Object getFieldValue​(TInsertData._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TInsertData,​TInsertData._Fields>`

#### isSet

    public boolean isSet​(TInsertData._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TInsertData,​TInsertData._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TInsertData that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TInsertData other)

Specified by:
  `compareTo` in interface `Comparable<TInsertData>`

#### fieldForId

    public TInsertData._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TInsertData,​TInsertData._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`